<?php
// +--------------------------------------------------------------------------+
// | PayPal Plugin - geeklog CMS                                             |
// +--------------------------------------------------------------------------+
// | index.php                                                                |
// |                                                                          |
// | Admin index page for the paypal plugin.  By default, lists products      |
// | available for editing                                                    |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | Copyright (C) 2005-2006 by the following authors:                        |
// |                                                                          |
// | Authors: Vincent Furia     - vinny01 AT users DOT sourceforge DOT net    |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | This program is free software; you can redistribute it and/or            |
// | modify it under the terms of the GNU General Public License              |
// | as published by the Free Software Foundation; either version 2           |
// | of the License, or (at your option) any later version.                   |
// |                                                                          |
// | This program is distributed in the hope that it will be useful,          |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
// | GNU General Public License for more details.                             |
// |                                                                          |
// | You should have received a copy of the GNU General Public License        |
// | along with this program; if not, write to the Free Software Foundation,  |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.          |
// |                                                                          |
// +--------------------------------------------------------------------------+


/**
 * Admin index page for the paypal plugin.  By default, lists products available for editing
 *
 * @author Vincent Furia <vinny01 AT users DOT sourceforge DOT net>
 * @copyright Vincent Furia 2005 - 2006
 * @package paypal
 */

/**
 * Required geeklog
 */
require_once('../../../lib-common.php');

// Check for required permissions
paypal_access_check('paypal.admin');

$vars = array('msg', 'text');
paypal_filterVars($vars, $_REQUEST);

$display = COM_siteHeader();
$display .= paypal_admin_menu();

if (!empty($_REQUEST['msg'])) {
    $display .= COM_startBlock($LANG_PAYPAL_1['message']);
    $display .= $_REQUEST['msg'];
    $display .= COM_endBlock();
}

$display .= COM_startBlock($LANG_PAYPAL_1['products']);

// Get products from database
$sql = "SELECT id,name,short_description,description,price,small_pic FROM {$_TABLES['paypal.products']}";
if (!empty( $_CONF['paypal']['order'])) {
    $sql .= " ORDER BY {$_CONF['paypal']['order']}";
}
$res = DB_query($sql);

// Create product template
$product = new Template($_CONF['path'] . 'plugins/paypal/templates');
$product->set_file(array('product' => 'edit_product_item.thtml',
                         'start'   => 'edit_product_start.thtml',
                         'end'     => 'edit_product_end.thtml') );
$product->set_var('site_url', $_CONF['site_url']);
$product->set_var('price_label', $LANG_PAYPAL_1['price_label']);
$product->set_var('currency', $_CONF['paypal']['currency']);
$product->set_var('edit_button', $LANG_PAYPAL_1['edit_button']);

// Display the begging of the product list
$display .= $product->parse('output', 'start');

// Display each product
while ($A = DB_fetchArray($res)) {
    $product->set_var('id', $A['id']);
    $product->set_var('name', $A['name']);
    $product->set_var('short_description', PLG_replacetags($A['short_description']));
	$product->set_var('description', PLG_replacetags($A['description']));
    $product->set_var('price', $A['price']);
    $product->set_var('small_pic', $A['small_pic']);
    if (empty($A['small_pic'])) {
    	$product->set_var('display', '');
    	$product->set_var('small_pic', $_CONF['site_url'] . '/paypal/images/default.png');
    } else {
    	$product->set_var('display', '');
    	$product->set_var('small_pic', $A['small_pic']);
	}
    $display .= $product->parse('output', 'product');
}

// Display the end of the product list
$display .= $product->parse('output', 'end');

$display .= COM_endBlock();

$display .= COM_siteFooter();
echo $display;

?>