<?php
// +--------------------------------------------------------------------------+
// | PayPal Plugin - geeklog CMS                                             |
// +--------------------------------------------------------------------------+
// | purchase_history.php                                                     |
// |                                                                          |
// | Allows paypal administrators to view site-wide purchase history          |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | Based on the gl-paypal Plugin for Geeklog CMS                            |
// | Copyright (C) 2005-2006 by the following authors:                        |
// |                                                                          |
// | Authors: Vincent Furia     - vinny01 AT users DOT sourceforge DOT net    |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | This program is free software; you can redistribute it and/or            |
// | modify it under the terms of the GNU General Public License              |
// | as published by the Free Software Foundation; either version 2           |
// | of the License, or (at your option) any later version.                   |
// |                                                                          |
// | This program is distributed in the hope that it will be useful,          |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
// | GNU General Public License for more details.                             |
// |                                                                          |
// | You should have received a copy of the GNU General Public License        |
// | along with this program; if not, write to the Free Software Foundation,  |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.          |
// |                                                                          |
// +--------------------------------------------------------------------------+

/**
 * Allows paypal administrators to view site-wide purchase history
 *
 * @author Vincent Furia <vinny01 AT users DOT sourceforge DOT net>
 * @copyright Vincent Furia 2005 - 2006
 * @package paypal
 */

/**
 * Required geeklog
 */
require_once('../../../lib-common.php');

// Check for required permissions
paypal_access_check('paypal.admin');

// Incoming variable filter
$vars = array('txn_id' => 'alpha');
paypal_filterVars($vars, $_REQUEST);

// begin display of page
$display = COM_siteHeader();
$display .= paypal_admin_menu();

$display .= COM_startBlock($LANG_PAYPAL_1['purchase_history']);

// Get purchase history from database
$sql = "SELECT p.*, u.username, d.name FROM {$_TABLES['paypal.purchases']} as p, "
     . "{$_TABLES['paypal.products']} as d, {$_TABLES['users']} as u "
     . 'WHERE p.product_id = d.id AND p.user_id = u.uid' ;
if (!empty($_REQUEST['txn_id'])) {
    $sql .= " AND txn_id = '{$_REQUEST['txn_id']}'";
}
$sql .= ' ORDER BY purchase_date DESC';
$res = DB_query($sql);

// Create purchase history template
$purchase = new Template($_CONF['path'] . 'plugins/paypal/templates');
$purchase->set_file(array('purchase' => 'purchase_item.thtml',
                          'start'    => 'purchase_start.thtml',
                          'end'      => 'purchase_end.thtml') );
$purchase->set_var('site_url', $_CONF['site_url']);
$purchase->set_var('name', $LANG_PAYPAL_1['name']);
$purchase->set_var('quantity', $LANG_PAYPAL_1['quantity']);
$purchase->set_var('description', $LANG_PAYPAL_1['description']);
$purchase->set_var('purchase_date', $LANG_PAYPAL_1['purchase_date']);
$purchase->set_var('txn_id', $LANG_PAYPAL_1['txn_id']);
$purchase->set_var('expiration', $LANG_PAYPAL_1['expiration']);
$purchase->set_var('download', $LANG_PAYPAL_1['download']);

// Display the begging of the purchase list
$display .= $purchase->parse('output', 'start');

// Display each purchase row
while ($A = DB_fetchArray($res)) {
    $purchase->set_var('id', $A['id']);
    $purchase->set_var('product_id', $A['product_id']);
    $purchase->set_var('quantity', $A['quantity']);
    $purchase->set_var('user_id', $A['user_id']);
    $purchase->set_var('txn_id', $A['txn_id']);
    $purchase->set_var('purchase_date', $A['purchase_date']);
    $purchase->set_var('expiration', $A['expiration']);
    $purchase->set_var('username', $A['username']);
    $purchase->set_var('product', $A['name']);
    $display .= $purchase->parse('output', 'purchase');
}

// Display the end of the purchase list
$display .= $purchase->parse('output', 'end');
$display .= COM_endBlock();

$display .= COM_siteFooter();
echo $display;

?>