<?php
// +--------------------------------------------------------------------------+
// | PayPal Plugin - geeklog CMS                                             |
// +--------------------------------------------------------------------------+
// | config.php                                                               |
// |                                                                          |
// | Plugin configuration options                                             |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | Copyright (C) 2005-2007 by the following authors:                        |
// |                                                                          |
// | Authors: Vincent Furia     - vinny01 AT users DOT sourceforge DOT net    |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | This program is free software; you can redistribute it and/or            |
// | modify it under the terms of the GNU General Public License              |
// | as published by the Free Software Foundation; either version 2           |
// | of the License, or (at your option) any later version.                   |
// |                                                                          |
// | This program is distributed in the hope that it will be useful,          |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
// | GNU General Public License for more details.                             |
// |                                                                          |
// | You should have received a copy of the GNU General Public License        |
// | along with this program; if not, write to the Free Software Foundation,  |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.          |
// |                                                                          |
// +--------------------------------------------------------------------------+

// this file can't be used on its own
if (!defined ('VERSION')) {
    die ('This file can not be used on its own.');
}

/**
 * URL for paypal verification should be www.paypal.com for live service
 * or www.sandbox.paypal.com for testing.
 * If your version of PHP is 4.3.0 or greater and OpenSSL has been compiled
 * into PHP, you can prefix the url below with "ssl://" to encrypt the
 * paypal 'postback'.
 */
$_CONF['paypal']['paypalURL'] = 'www.sandbox.paypal.com';

/**
 * PayPal email addresses for your business receiver account, it can have
 * more than one in the array (case sensitive).  The first address will be
 * used as the business address for paypal buttons.
 * Your primary paypal email address must be included in the array, though
 * an alternative paypal email address can be listed first.
 */
$_CONF['paypal']['receiverEmailAddr'] = array ('cordis_1237558529_biz@free.fr');

/**
 * This is the currency that you want all transactions to occur in.  Your
 * Paypal account must have the choosen currency enabled (on the Paypal website
 * see: Selling Preferences->Paypment Receiving Preferences).  This plugin
 * currently requires you to have only one currency balance enabled in your
 * Paypal account. Paypal currently supports the following currencies:
 *   USD - United States Dollar
 *   AUD - Austrailian Dollar
 *   CAD - Canadian Dollar
 *   EUR - Euro
 *   GPB - Pound Sterling
 *   JPY - Japanese Yen
 */
 $_CONF['paypal']['currency'] = 'EUR';

/**
 * true to allow anonymous users to make purchases without logging in first.  Note
 * that anonymous users won't have access to purchase history or to direct downloads
 */
$_CONF['paypal']['anonymous_buy'] = true;

/**
 * Configuration parameters to specify whether "on purchase" emails will be sent.
 * Be sure to edit the files templates/purchase_email_subject.txt and
 *  templates/purchase_email_message.txt to customize the email message.
 * You should disable the *_attach options below if you are distributing large files
 *  or it is likely that a purchaser will be buying many medium files otherwise the
 *  email will become too large and will likely never be received
 * purchase_email_user true if logged in users should get a purchase email
 * purchase_email_user_attach true if logged in users should get purchases
 *                            emailed as attachments
 * purchase_email_anon true if anonymous users should get a purchase email
 * purchase_email_anon_attach true if anonymous users should get purchases
 *                            emailed as attachments
 */
$_CONF['paypal']['purchase_email_user']        = true;
$_CONF['paypal']['purchase_email_user_attach'] = true;
$_CONF['paypal']['purchase_email_anon']        = true;
$_CONF['paypal']['purchase_email_anon_attach'] = true;

/**
 * true to enable display on menu, false diables
 * NOTE: requires 'plugins' to be included in $_CONF['menu_elements'] array
 */
$_CONF['paypal']['menuitem'] = false;

/**
 * Change to set the menu label
 */
$_CONF['paypal']['menulabel'] = 'Shop';
/**
 * Number of products to display per page.  0 indicates that all products should
 * be displayed on a single page.
 */
$_CONF['paypal']['maxPerPage'] = 10;

/**
 * Number of columns of categories to display.  Set to 0 to disable categories.
 * If you don't have any categories set, this setting is meaningless.
 */
 $_CONF['paypal']['categoryColumns'] = 3;

/**
 * Ordering of products in lists
 * Values must be a column of the produts table: 'name', 'price', 'id'
 * Values can be modified by either 'ASC' or 'DESC': 'name DESC'
 */
 $_CONF['paypal']['order'] = 'name';

/**
 * array of allowed extensions.  make sure that every downloadable file extension
 * is included in the this list.  for security you may want to remove unused file
 * extensions.  also try to avoid php and phps.
 * NOTE: extensions must be defined in $_CONF['path']/system/classes/downloader.class.php
 *       to be listed here.
 */
$_CONF['paypal']['allowedextensions'] = array (
    'tgz'  => 'application/x-gzip-compressed',
    'gz'   => 'application/x-gzip-compressed',
    'zip'  => 'application/x-zip-compresseed',
    'tar'  => 'application/x-tar',
    'php'  => 'text/plain',
    'phps' => 'text/plain',
    'txt'  => 'text/plain',
    'html' => 'text/html',
    'htm'  => 'text/html',
    'bmp'  => 'image/bmp',
    'ico'  => 'image/bmp',
    'gif'  => 'image/gif',
    'jpg'  => 'image/jpeg',
    'jpeg' => 'image/jpeg',
    'png'  => 'image/x-png',
    'mp3'  => 'audio/mpeg',
    'wav'  => 'audio/wav',
    'pdf'  => 'application/pdf',
    'swf'  => 'application/x-shockwave-flash',
    'doc'  => 'application/msword',
    'xls'  => 'application/vnd.ms-excel',
    'exe'  => 'application/octet-stream'
);

/************************************************/
/* WARNING: Items below this line usually do not not need to be altered, do not alter     */
/*   any of these items after installation (uninstall first, then reinstall after change) */
/* Configure table prefixes and names */
$_DB_paypal_table_prefix = 'paypal_';
$_TABLES['paypal.ipnlog'] = $_DB_table_prefix . $_DB_paypal_table_prefix . 'ipnlog';
$_TABLES['paypal.products'] = $_DB_table_prefix . $_DB_paypal_table_prefix . 'products';
$_TABLES['paypal.downloads'] = $_DB_table_prefix . $_DB_paypal_table_prefix . 'downloads';
$_TABLES['paypal.purchases'] = $_DB_table_prefix . $_DB_paypal_table_prefix . 'purchases';

/************************************************/
/* WARNING: Items below this line should never be altered */
/* Paypal constants */
define('PAYPAL_FAILURE_UNKNOWN', 0);
define('PAYPAL_FAILURE_VERIFY', 1);
define('PAYPAL_FAILURE_COMPLETED', 2);
define('PAYPAL_FAILURE_UNIQUE', 3);
define('PAYPAL_FAILURE_EMAIL', 4);
define('PAYPAL_FAILURE_FUNDS', 5);
?>