<?php
// +--------------------------------------------------------------------------+
// | PayPal Plugin - geeklog CMS                                             |
// +--------------------------------------------------------------------------+
// | product_detail.php                                                       |
// |                                                                          |
// | Product View.  Displays single product with details.                     |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | Copyright (C) 2005-2006 by the following authors:                        |
// |                                                                          |
// | Authors: Vincent Furia     - vinny01 AT users DOT sourceforge DOT net    |
// +--------------------------------------------------------------------------+
// |                                                                          |
// | This program is free software; you can redistribute it and/or            |
// | modify it under the terms of the GNU General Public License              |
// | as published by the Free Software Foundation; either version 2           |
// | of the License, or (at your option) any later version.                   |
// |                                                                          |
// | This program is distributed in the hope that it will be useful,          |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
// | GNU General Public License for more details.                             |
// |                                                                          |
// | You should have received a copy of the GNU General Public License        |
// | along with this program; if not, write to the Free Software Foundation,  |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.          |
// |                                                                          |
// +--------------------------------------------------------------------------+

/**
 * Product View.  Displays single product with details.
 *
 * @author Vincent Furia <vinny01 AT users DOT sourceforge DOT net>
 * @copyright Vincent Furia 2005 - 2006
 * @package paypal
 * @todo Add more complex logic to decide link display between:  purchase, login, download
 */

/**
 * require core geeklog code
 */
require_once '../lib-common.php';

// Incoming variable filter
$vars = array('product' => 'number');
paypal_filterVars($vars, $_REQUEST);

// Ensure sufficient privs to read this page
//paypal_access_check();

// query database for product
$res = DB_query("SELECT * FROM {$_TABLES['paypal.products']} WHERE id = {$_REQUEST['product']}");

// count number of returned results, if unexpected redirect to product list
if (DB_numRows($res) != 1) {
    echo COM_refresh($_CONF['site_url'] . '/paypal/index.php');
}

$A = DB_fetchArray($res);

$display = COM_siteHeader();
if (SEC_hasRights('paypal.user', 'paypal.admin')) {
    $display .= paypal_user_menu();
} else {
    $display .= paypal_viewer_menu();
}

$display .= COM_startBlock($A['name']);

$product = new Template($_CONF['path'] . 'plugins/paypal/templates');
$product->set_file(array('product' => 'product_detail.thtml',
                         'buy'     => 'buy_now_button.thtml',
                         'cart'    => 'add_to_cart_button.thtml'));
$product->set_var('site_url', $_CONF['site_url']);
if (SEC_hasRights('paypal.admin')) {
$product->set_var('edit', "<form action=\"{$_CONF['site_url']}/admin/plugins/paypal/product_edit.php\" method=\"POST\"><div style=\"float:right\"> <input type=\"image\" src=\"{$_CONF['site_url']}/paypal/images/edit.png\" name=\"id\" value=\"{$A['id']}\" align=\"absmiddle\" /></div><input type=\"hidden\" name=\"op\" value=\"edit\" /></form>");
}else {
$product->set_var('edit', '');
}
$product->set_var('paypal_url', 'https://' . $_CONF['paypal']['paypalURL']);
$product->set_var('user_id', $_USER['uid']);
$product->set_var('business', $_CONF['paypal']['receiverEmailAddr'][0]);
$product->set_var('currency', $_CONF['paypal']['currency']);
$product->set_var('id', $A['id']);
$product->set_var('name', $A['name']);
$product->set_var('short_description', PLG_replacetags($A['short_description']));
$product->set_var('description', PLG_replacetags($A['description']));
$product->set_var('price_label', $LANG_PAYPAL_1['price_label']);
$product->set_var('price', $A['price']);
/* hide the small_pic if none has been specified */
if (empty($A['small_pic'])) {
	$product->set_var('display_spic', '');
	$product->set_var('small_pic', $_CONF['site_url'] . '/paypal/images/default.png');
} else {
	$product->set_var('display_spic', '');
	$product->set_var('small_pic', $A['small_pic']);
}
/* hide the picture if none has been specified */
if (empty($A['picture'])) {
	$product->set_var('display_pic', '');
	$product->set_var('picture', $_CONF['site_url'] . '/paypal/images/default.png');
} else {
	$product->set_var('display_pic', '');
	$product->set_var('picture', $A['picture']);
}

// FIXME: If a user purchased once with no expiration query will not operate correctly
$time = DB_getItem($_TABLES['paypal.purchases'], 'MAX(UNIX_TIMESTAMP(expiration))',
                   "user_id = {$_USER['uid']} AND product_id = {$A['id']}");
// Setup purchase links. If anonymous, ask for login. If free or purchased display
// download link
/* For anymous users, login */
if ( ($A['price'] > 0) && ($_USER['uid'] == 1) && (!$_CONF['paypal']['anonymous_buy'])) {
    $loginlink = $_CONF['site_url'] . '/users.php';
    $createlink = $_CONF['site_url'] . '/users.php?mode=new';
    $product->set_var('buy_now', "<a href=\"$loginlink\">Login</a> or <a href=\"$createlink\">"
                               . "Create an Account</a> to purchase");
    $product->set_var('add2cart', '');
/* Free items or items purchases and not expired, download */
} else if ( $A['download'] > 0 && ( $A['price'] == 0 || $time > time() ) ) {
    $product->set_var('buy_now', "<a href=\"{$_CONF['site_url']}/paypal/download.php"
                               . "?id={$A['id']}\">Download</a>");
    $product->set_var('add2cart', '');
/* buttons for everyone else */
} else {
    $product->set_var('buy_now_button', $LANG_PAYPAL_1['buy_now_button']);
	$product->set_var('add_to_cart', $LANG_PAYPAL_1['add_to_cart']);
    $product->set_var('buy_now', $product->parse('output', 'buy'));
    $product->set_var('add2cart', $product->parse('output', 'cart'));
}

$display .= $product->parse('output', 'product');

$display .= COM_endBlock();
$display .= COM_siteFooter();
echo $display;

?>